Bug 1129285 - User apache for httpd doesn't get created during rhevm installation
Summary: User apache for httpd doesn't get created during rhevm installation
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: distribution
Version: 3.4.0
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
: ---
Assignee: Barak
QA Contact:
URL:
Whiteboard: integration
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-12 13:46 UTC by Markus Opolka
Modified: 2014-11-06 12:29 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Build Name: 22722, Installation Guide-3.4-1.0 Build Date: 28-07-2014 08:44:36 Topic ID: 7519-634423 [Specified]
Last Closed: 2014-08-19 12:26:53 UTC
oVirt Team: ---


Attachments (Terms of Use)

Description Markus Opolka 2014-08-12 13:46:26 UTC
Title: User apache for httpd

Describe the issue: User apache for httpd doesn't get created during rhevm installation during the installation of the Red Hat Enterprise Virtualization Manager Packages.

While installing the packages (yum install rhevm) the httpd server gets installed but the user apache is missing afterwards. Following appears during the installation

Installing : httpd-2.2.26-35.ep6.el6.x86_64
warning: user apache does not exist - using root
warning: user apache does not exist - using root

The engine-setup fails then 

[ INFO  ] Restarting httpd
[ ERROR ] Failed to execute stage 'Closing up': Command '/sbin/service' failed to execute
[ INFO  ] Stage: Clean up
          Log file is located at /var/log/ovirt-engine/setup/ovirt-engine-setup-20140812152922-fsgfye.log
[ INFO  ] Generating answer file '/var/lib/ovirt-engine/setup/answers/20140812153255-setup.conf'
[ INFO  ] Stage: Pre-termination
[ INFO  ] Stage: Termination
[ ERROR ] Execution of setup failed

Suggestions for improvement:
I've manually created the apache user and the engine-setup runs fine without errors. There is no information in the documentation describing this issue, this should be added or the user should be created during package installation.

Additional information:
I've recreated this by installing a new RHEL 6.5 server and then following the RHEV 3.4 documentation.

Comment 1 Doron Fediuck 2014-08-19 12:26:53 UTC
Hi Markus,
the apache user should be created by the httpd RPM which RHEV depend on.
Failure of any package RHEV rely upon should be fixed by the relevant package.

So in this case you should open a bug for httpd so they will understand
why the user wasn't created and fix it in their RPM.

Comment 3 Michal Karm Babacek 2014-11-06 12:29:24 UTC
I don't know what to add to the debate. Weinan/Permaine? Could we have a bug in the post-installation? AFAIK on RHEL5/6/7 Server distributions, the user is created (we test our rpms...).


Note You need to log in before you can comment on or make changes to this bug.